Subject: More Taig reports

From: [email-masked] (Michael Edelman)
Date: 10 Dec 1996 20:01:38 GMT

I'm having an absolute ball with this little lathe! I just received the 
milling adapter, and it's an excellent, solid piece of equipment. INexpensive,
yet accurate and well built. Can't beat it. 

Last time I spoke with Taig they told me they're working on a feedscrew
as well, so threadcutting will come one day. Neat.

If you're looking for a small athe with minimum cash outlay, this is 
an excellent deal. Between Taig and Sherline we have two really exellent 
domestic choices for the hobbyist looking to get into small machining.

--mike